%define pypi_name pdfminer-six
%define srcname pdfminer.six

Name:           python-%{pypi_name}
Version:        20240706
Release:        %mkrel 1
Summary:        PDF parser and analyzer
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pdfminer.six
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Pdfminer.six is a community maintained fork of the original PDFMiner. It is a
tool for extracting information from PDF documents. It focuses on getting and
analyzing text data. Pdfminer.six extracts the text from a page directly from
the sourcecode of the PDF. It can also be used to get the exact location, font
or color of the text.

%package -n     python3-%{pypi_name}
Summary:        PDF parser and analyzer for Python
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-pdfminer}
Obsoletes:      python3-%{srcname} < 20221105-2

%description -n python3-%{pypi_name}
Pdfminer.six is a community maintained fork of the original PDFMiner. It is a
tool for extracting information from PDF documents. It focuses on getting and
analyzing text data. Pdfminer.six extracts the text from a page directly from
the sourcecode of the PDF. It can also be used to get the exact location, font
or color of the text.

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pdfminer

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/dumppdf.py
%{_bindir}/pdf2txt.py


%changelog
* Mon Mar 03 2025 daviddavid <daviddavid> 20240706-1.mga10
+ Revision: 2159284
- new version: 20240706
- rebuild for python 3.13

* Thu Dec 21 2023 wally <wally> 20221105-2.mga10
+ Revision: 2020781
- rename source pkg as python-pdfminer-six
- rebuild for py3.12
- use pyproject rpm macros

* Wed Sep 20 2023 papoteur <papoteur> 20221105-1.mga10
+ Revision: 1988418
- new 20221105
+ neoclust <neoclust>
- New version  20220524

* Wed Mar 23 2022 umeabot <umeabot> 20201018-3.mga9
+ Revision: 1823540
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 20201018-2.mga9
+ Revision: 1783384
- rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 20201018-1.mga9
+ Revision: 1716455
- new version: 20201018

* Mon Jan 11 2021 wally <wally> 20200517-2.mga8
+ Revision: 1671147
- obsolete old python2 pkg also providing dumppdf.py and pdf2txt.py

* Wed Jul 15 2020 zezinho <zezinho> 20200517-1.mga8
+ Revision: 1606427
- new version 20200517

* Sun Feb 16 2020 umeabot <umeabot> 20181108-3.mga8
+ Revision: 1534315
- Mageia 8 Mass Rebuild

* Thu Oct 03 2019 daviddavid <daviddavid> 20181108-2.mga8
+ Revision: 1449006
- rebuild for python3.8
- drop python2 support

* Mon Jan 14 2019 zezinho <zezinho> 20181108-1.mga7
+ Revision: 1356881
- new version 20181108

* Mon Jan 07 2019 zezinho <zezinho> 20170720-3.mga7
+ Revision: 1351293
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 20170720-2.mga7
+ Revision: 1289662
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 guillomovitch <guillomovitch> 20170720-1.mga7
+ Revision: 1206361
- new version 20170720
- ship python 2 version package as python2-pdfminer.six

* Sat Aug 05 2017 pterjan <pterjan> 20160614-3.mga7
+ Revision: 1135542
- Rebuild for python 3.6

* Sat Jan 14 2017 daviddavid <daviddavid> 20160614-2.mga6
+ Revision: 1081593
- add Python3 support
- use new python macros

* Sat Jan 14 2017 zezinho <zezinho> 20160614-1.mga6
+ Revision: 1081575
- new version 20160614

* Sat Jan 09 2016 guillomovitch <guillomovitch> 20151013-1.mga6
+ Revision: 920719
- new version 20151013

* Wed Oct 15 2014 umeabot <umeabot> 20140328-4.mga5
+ Revision: 751267
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 20140328-3.mga5
+ Revision: 729313
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 20140328-2.mga5
+ Revision: 688208
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 guillomovitch <guillomovitch> 20140328-1.mga5
+ Revision: 673235
- new version 20140328
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 20110515-3.mga4
+ Revision: 544067
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 20110515-2.mga4
+ Revision: 499111
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 20110515-1.mga4
+ Revision: 468887
- imported package python-pdfminer

